EF1=`head -6 DOSCAR.PBE | tail -1 | awk '{print $4}'`
EF2=`head -6 DOSCAR.GW0 | tail -1 | awk '{print $4}'`
EF3=`head -6 DOSCAR.HSE | tail -1 | awk '{print $4}'`

#extract band structure 
./extractBands.sh OUTCAR.BSTR

cat >plotfile<<!
set xrange [0: 4.28044]
set yrange [-5.00000 : 5.00000]
set xtics (" R "  0.00000," G "  1.44064," X "  2.27240," M "  3.10416," G "  4.28044)
set grid
plot "wannier90_band.PBE.dat" using (\$1):(\$2-$EF1) w l lw 2 title "t2g PBE",\
     "wannier90_band.GW0.dat" using (\$1):(\$2-$EF2) w l lw 2 title "t2g GW",\
     "wannier90_band.HSE.dat" using (\$1):(\$2-$EF3) w l lw 2 title "t2g HSE",\
     "bndstr.pbe" using (\$1):(\$2-$EF1) w lp lt 0 pt 4 ps 0.3 lc -1 title "all PBE"
!

gnuplot -persist plotfile
